# Class: Concurrent::Actor::Behaviour::ErrorsOnUnknownMessage

Inherits:
  Abstract
  - Object
  - Abstract
  - Concurrent::Actor::Behaviour::ErrorsOnUnknownMessage
  show all

Defined in:
  lib-edge/concurrent/actor/behaviour/errors_on_unknown_message.rb

## Overview

Simply fails when message arrives here. It's usually the last behaviour.

## Instance Method Summary collapse

- #on_envelope(envelope) ⇒ undocumented

## Constructor Details

This class inherits a constructor from Concurrent::Actor::Behaviour::Abstract

## Instance Method Details

### #on_envelope(envelope) ⇒ `undocumented`

Raises:

- (`UnknownMessage`)

    6
    7
    8

    # File 'lib-edge/concurrent/actor/behaviour/errors_on_unknown_message.rb', line 6

    def on_envelope(envelope)
      raise UnknownMessage, envelope
    end